package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.service.IMessageTemplate;
import cn.com.ctop.common.module.utils.Check;
import org.springframework.stereotype.Service;

@Service
public class MessageTemplateImpl implements IMessageTemplate {


    /**
     * 同步素材失败
     *
     * @param projectName
     * @param accountId
     * @param accountName
     * @param materialName
     * @param reason
     * @return
     */
    @Override
    public String getMaterialSyncTemplate(String projectName, Long accountId, String accountName, String materialName, String reason) {
        StringBuilder text = new StringBuilder();
        text.append("素材同步失败").append("<br/>")
                .append("您的项目：").append(projectName + "，").append("<br/>")
                .append("下的账户：").append(accountId + "，").append("<br/>")
                .append("授权名称为：" + accountName).append("<br/>")
                .append("同步素材失败。").append("<br/>")
                .append("素材名称为：").append(materialName).append("<br/>")
                .append("失败原因：").append(reason);
        return text.toString();
    }

    @Override
    public String getFeishuMaterialSyncTemplate(String projectName, Long accountId, String accountName, String materialName, String reason) {
        StringBuilder text = new StringBuilder();
        text.append("素材同步失败").append("\n\r")
                .append("您的项目：").append(projectName + "，").append("\n\r")
                .append("下的账户：").append(accountId + "，").append("\n\r")
                .append("授权名称为：" + accountName).append("\n\r")
                .append("同步素材失败。").append("\n\r")
                .append("素材名称为：").append(materialName).append("\n\r")
                .append("失败原因：").append(reason);
        return text.toString();
    }


    /**
     * 素材库素材驳回
     *
     * @param projectName
     * @param materialName
     * @param refuseReason
     * @return
     */
    @Override
    public String getMaterialRejectTemplate(String projectName, String materialName, String refuseReason) {
        StringBuilder text = new StringBuilder();
        text.append("素材驳回通知").append("<br/>")
                .append("您的项目：").append(projectName + "，").append("<br/>")
                .append("素材名称为：").append(materialName).append("<br/>")
                .append("已被驳回。").append("<br/>");
        if (!Check.isNull(refuseReason)) {
            text.append("驳回原因为：").append(refuseReason).append("</br>");

        }
        text.append("请您联系相关同学及时调整");
        return text.toString();
    }

    @Override
    public String getFeishuMaterialRejectTemplate(String projectName, String materialName, String refuseReason) {
        StringBuilder text = new StringBuilder();
        text.append("素材驳回通知").append("\n\r")
                .append("您的项目：").append(projectName + "，").append("\n\r")
                .append("素材名称为：").append(materialName).append("\n\r")
                .append("已被驳回。").append("\n\r");
        if (!Check.isNull(refuseReason)) {
            text.append("驳回原因为：").append(refuseReason).append("\n\r");

        }
        text.append("请您联系相关同学及时调整");
        return text.toString();
    }
}
